//图标选择器配置
import * as elIconsLib from '@element-plus/icons-vue'
import * as piIconsLib from '@/assets/icons'

//el-icon图标
const elIcons = [];
for(let icon in elIconsLib){
	let iconName = `elIcon${icon}`
	iconName = iconName.replace(/[A-Z]/g, match => `-${match.toLowerCase()}`)
	elIcons.push(iconName)
}

//pi-icon图标
const piIcons = [];
for(let icon in piIconsLib.default){
	let iconName = `piIcon${icon}`
	iconName = iconName.replace(/[A-Z]/g, match => `-${match.toLowerCase()}`)
	piIcons.push(iconName)
}

export default {
	icons: [{
			name: '默认',
			icons: elIcons
		},
		{
			name: '扩展',
			icons: piIcons
		}
	]
}
